NAME

OpenAPI::Client::OpenAI::Path::organization-users-user_id-roles-role_id - Documentation for the /organization/users/{user_id}/roles/{role_id} path.

OPERATIONS

DELETE /organization/users/{user_id}/roles/{role_id}

unassign-user-role

$client->unassign_user_role({
    body => { ... },
});

Unassigns an organization role from a user within the organization.

Path/query parameters

  • user_id (in path, required, string) - The ID of the user to modify.

  • role_id (in path, required, string) - The ID of the organization role to remove from the user.

Responses

200 - Organization role unassigned from the user successfully.

Content-Type: application/json

Example:

{
   "deleted" : true,
   "object" : "group.role.deleted"
}

GET /organization/users/{user_id}/roles/{role_id}

retrieve-user-role

$client->retrieve_user_role({
    body => { ... },
});

Retrieves an organization role assigned to a user.

Path/query parameters

  • user_id (in path, required, string) - The ID of the user to inspect.

  • role_id (in path, required, string) - The ID of the organization role to retrieve for the user.

Responses

200 - Organization role retrieved for the user successfully.

Content-Type: application/json

Example:

{
   "assignment_sources" : [
      {
         "principal_id" : "string",
         "principal_type" : "string"
      }
   ],
   "created_at" : 0,
   "created_by" : "string",
   "created_by_user_obj" : {},
   "description" : "string",
   "id" : "string",
   "metadata" : {},
   "name" : "string",
   "permissions" : [
      "string"
   ],
   "predefined_role" : false,
   "resource_type" : "string",
   "updated_at" : 0
}

SCHEMAS

AssignedRoleDetails

Properties:

  • assignment_sources (anyOf, required) - Principals from which the role assignment is inherited, when available.

  • created_at (anyOf, required) - When the role was created.

  • created_by (anyOf, required) - Identifier of the actor who created the role.

  • created_by_user_obj (anyOf, required) - User details for the actor that created the role, when available.

  • description (anyOf, required) - Description of the role.

  • id (string, required) - Identifier for the role.

  • metadata (anyOf, required) - Arbitrary metadata stored on the role.

  • name (string, required) - Name of the role.

  • permissions (array of string, required) - Permissions associated with the role.

  • predefined_role (boolean, required) - Whether the role is predefined by OpenAI.

  • resource_type (string, required) - Resource type the role applies to.

  • updated_at (anyOf, required) - When the role was last updated.

DeletedRoleAssignmentResource

Properties:

  • deleted (boolean, required) - Whether the assignment was removed.

  • object (string, required) - Identifier for the deleted assignment, such as group.role.deleted or user.role.deleted .

SEE ALSO

OpenAPI::Client::OpenAI::Path

COPYRIGHT AND LICENSE

Copyright (C) 2023-2026 by Nelson Ferraz

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.14.0 or, at your option, any later version of Perl 5 you may have available.